Package writer2latex.latex.i18n

# Class UnicodeTableHandler

java.lang.Object
org.xml.sax.helpers.DefaultHandler
writer2latex.latex.i18n.UnicodeTableHandler

All Implemented Interfaces:
  `ContentHandler`, `DTDHandler`, `EntityResolver`, `ErrorHandler`

public class UnicodeTableHandler extends DefaultHandler
Helper classs: SAX handler to parse symbols.xml from jar

## Constructor Summary

Constructors
Constructor
Description
`UnicodeTableHandler(Hashtable<String,writer2latex.latex.i18n.UnicodeTable> tableSet, String sSymbolSets)`
Create a new `UnicodeTableHandler`

## Method Summary

Modifier and Type
Method
Description
`void`
`endElement(String nameSpace, String localName, String qName)`
`void`
`startElement(String nameSpace, String localName, String qName, Attributes attributes)`

### Methods inherited from class org.xml.sax.helpers.DefaultHandler

`characters, endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.xml.sax.ContentHandler

`declaration`

## Constructor Details

### UnicodeTableHandler

public UnicodeTableHandler(Hashtable<String,writer2latex.latex.i18n.UnicodeTable> tableSet, String sSymbolSets)
Create a new `UnicodeTableHandler`

Parameters:
  `tableSet` - the `Hashtable` to fill with tables read from the file
  `sSymbolSets` - string containing table names to read (separated by |)

## Method Details

### startElement

public void startElement(String nameSpace, String localName, String qName, Attributes attributes)

Specified by:
  `startElement` in interface `ContentHandler`
Overrides:
  `startElement` in class `DefaultHandler`

### endElement

public void endElement(String nameSpace, String localName, String qName)

Specified by:
  `endElement` in interface `ContentHandler`
Overrides:
  `endElement` in class `DefaultHandler`